Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-27374

Integrate with Script-Security plugin

    Details

    • Similar Issues:

      Description

      System Groovy Script Choice Parameter allows to run any codes in Jenkins.
      This cause a security issue.

      Nowadays plugins with groovy scripts should be integrated with Script Security plugin which provides a security model of groovy scripts for administrators.

        Attachments

          Activity

          ikedam ikedam created issue -
          ikedam ikedam made changes -
          Field Original Value New Value
          Status Open [ 1 ] In Progress [ 3 ]
          ikedam ikedam made changes -
          Assignee ikedam [ ikedam ]
          ikedam ikedam made changes -
          Link This issue is related to SECURITY-123 [ SECURITY-123 ]
          rtyler R. Tyler Croy made changes -
          Workflow JNJira [ 161579 ] JNJira + In-Review [ 185579 ]
          Hide
          ikedam ikedam added a comment -

          Fixed in extensible-choice-parameter 1.4.0

          Show
          ikedam ikedam added a comment - Fixed in extensible-choice-parameter 1.4.0
          ikedam ikedam made changes -
          Status In Progress [ 3 ] Resolved [ 5 ]
          Resolution Fixed [ 1 ]

            People

            • Assignee:
              ikedam ikedam
              Reporter:
              ikedam ikedam
            • Votes:
              2 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: